%global fontname overpass

Summary:    Overpass fonts
Name:       %{fontname}-fonts
Version:    3.0.5
Release:    1%{?dist}
License:    OFL or LGPLv2+
URL:        https://github.com/RedHatBrand/overpass/
Source0:    https://github.com/RedHatBrand/Overpass/archive/v%{version}.tar.gz
Source1:    60-%{name}.conf
Source2:    60-overpass-mono-fonts.conf

BuildRequires: fontpackages-devel
Requires:      fontpackages-filesystem

BuildArch:     noarch

%description
This package provides free and open source overpass fonts.It is based on the U.S.
interstate highway road signage type system.

%package -n overpass-mono-fonts
Summary:    Monospace overpass fonts

%description -n overpass-mono-fonts
This package provides free and open source overpass fonts.It is based on the U.S.
interstate highway road signage type system.It is monospace font.

%prep
%autosetup -n Overpass-%{version}

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p desktop-fonts/overpass*/*.otf %{buildroot}%{_fontdir}
install -m 0755 -d %{buildroot}%{_fontconfig_confdir}
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir}
install -m 0644 -p %{SOURCE2} %{buildroot}%{_fontconfig_templatedir}/60-overpass-mono.conf
install -m 0644 -p %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/60-overpass.conf
ln -s %{_fontconfig_templatedir}/60-overpass-mono.conf %{buildroot}%{_fontconfig_confdir}/60-overpass-mono.conf
ln -s %{_fontconfig_templatedir}/60-overpass.conf %{buildroot}%{_fontconfig_confdir}/60-overpass.conf

%files
%license LICENSE.md
%doc README.md
%{_fontconfig_templatedir}/60-overpass.conf
%{_fontconfig_confdir}/60-overpass.conf
%{_fontbasedir}/%{fontname}/overpass-bold*.otf
%{_fontbasedir}/%{fontname}/overpass-extra*.otf
%{_fontbasedir}/%{fontname}/overpass-heavy*.otf
%{_fontbasedir}/%{fontname}/overpass-italic*.otf
%{_fontbasedir}/%{fontname}/overpass-light*.otf
%{_fontbasedir}/%{fontname}/overpass-regular*.otf
%{_fontbasedir}/%{fontname}/overpass-semibold*.otf
%{_fontbasedir}/%{fontname}/overpass-thin*.otf

%files -n overpass-mono-fonts
%license LICENSE.md
%doc README.md
%{_fontconfig_templatedir}/60-overpass-mono.conf
%{_fontconfig_confdir}/60-overpass-mono.conf
%{_fontbasedir}/%{fontname}/overpass-mono-*.otf

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 3.0.5-1
- Upgrade to version 3.0.5

* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 3.0.4-6
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.4-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.4-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.4-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 29 2022 Yi Lin <nilusyi@tencent.com> - 3.0.4-2
- fix dist macro.

* Tue Dec 6 2022 Shuo Wang <abushwang@tencent.com> - 3.0.4-1
- initial build
